MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024722Open CASCADE[OCCT] OCCT:Configurationpublic2014-03-13 12:142014-05-05 13:39
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024722: Move functionality of WOK command wgendoc to OCCT tool gendoc
DescriptionCurrently generation of OCCT class reference documentation is provided by command wgendoc available in WOK environment. In the view of forthcoming elimination of WOK, it is necessary to move this functionality to documentation generator tool available in OCCT (dox/occdoc.tcl) which by the moment is able to generate only Overview documentation.

I propose that command gendoc should be extended by additional option -refman which will switch it to generation of reference manual.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024529closedomy Documentation - arguments escaped with angle brackets <theParam> generate Doxygen warnings 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0028262)
omy (developer)
2014-03-13 16:34
edited on: 2014-03-21 17:05

Dear abv, please, review the branch CR24722

I've added wgendoc command, now called "occrefman", as a separate TCL script within "dox" folder.

It can be called using gendoc.bat with additional "-refman" argument.
To generate User Guides, additional "-user" should be provided.

(0028427)
omy (developer)
2014-03-21 17:17

Dear abv,

Please, find the updated version of documentation scripts in the branch CR24722_1.

The TCL command "occdoc" (can be run using gendoc.bat) now can generate both Reference Manual (as HTML page) and User Guides (as HTML, CHM or PDF documents) for OCCT using specific keys (for additional information run "gendoc.bat -h").

List of minor changes:

1) added support of SVG images;
2) added new doxygen tag "@figure" to include images easier;
3) added search of necessary software;
4) doxyfiles and *.tex files are now generated using template files;
5) qthelp generation is no more supported;
6) many cosmetic fixes.
(0028598)
omy (developer)
2014-04-01 16:52
edited on: 2014-04-02 11:51

Dear abv,

Last version of the gendoc tool has been implemented in the branch CR24722_3.

Please, review.

(0028599)
abv (manager)
2014-04-01 17:09

No remarks, please test
(0028738)
bugmaster (administrator)
2014-04-08 14:16

Generation overview, pdf, chm and refman has been tested on Windows and Linux platforms. Results is sicssesfully.

- Related Changesets
occt: master ba06f8bb
Timestamp: 2014-04-10 14:23:18
Author: omy
Committer: apn
Details ] Diff ]
0024722: Move functionality of WOK command wgendoc to OCCT tool gendoc

Command gendoc improved to:
- generate Reference Manual documentation (OCCT classes reference) with option -refman; option -overview can be used for generation of overview documentation;
- generate PDF documents for all User Guides automatically (for files listed in FILES_PDF.txt);
- check availability of third-party tools (Doxygen, Inkscape etc.) and properly report warnings and errors.
- use templates of configuration files for third-party tools instead of their generation. These template files are located in dox/resources folder

Tcl scripts are moved from dox folder to adm.
Doxygen warnings are eliminated.
Moved all auxilary functions to occaux.tcl.
Fixed Reference manual generation on *nix platform.
Fixed PDF generation on *nix platforms.
add - adm/gendoc.tcl Diff ] File ]
add - adm/occaux.tcl Diff ] File ]
add - adm/start.tcl Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_linux.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_osx.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_windows.md Diff ] File ]
mod - dox/dev_guides/building/automake.md Diff ] File ]
mod - dox/dev_guides/building/building.md Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - dox/dev_guides/building/code_blocks.md Diff ] File ]
mod - dox/dev_guides/building/msvc.md Diff ] File ]
mod - dox/dev_guides/building/wok/wok.md Diff ] File ]
mod - dox/dev_guides/building/xcode.md Diff ] File ]
mod - dox/dev_guides/cdl/cdl.md Diff ] File ]
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]
mod - dox/dev_guides/contribution_workflow/contribution_workflow.md Diff ] File ]
mod - dox/dev_guides/debug/debug.md Diff ] File ]
mod - dox/dev_guides/dev_guides.md Diff ] File ]
mod - dox/dev_guides/documentation/documentation.md Diff ] File ]
mod - dox/dev_guides/git_guide/git_guide.md Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/dev_guides/wok/wok.md Diff ] File ]
add - dox/FILES_PDF.txt Diff ] File ]
add - dox/license.md Diff ] File ]
rm - dox/occdoc.tcl Diff ] File ]
mod - dox/overview/Overview.md Diff ] File ]
add - dox/overview/overview.md Diff ] File ]
add - dox/resources/index.html Diff ] File ]
add - dox/resources/occt_pdf_template.tex Diff ] File ]
add - dox/resources/occt_rm.doxyfile Diff ] File ]
add - dox/resources/occt_ug_html.doxyfile Diff ] File ]
add - dox/resources/occt_ug_pdf.doxyfile Diff ] File ]
rm - dox/start.tcl Diff ] File ]
mod - dox/tutorial/images/tutorial_image003.svg Diff ] File ]
mod - dox/tutorial/tutorial.md Diff ] File ]
mod - dox/user_guides/brep_wp/brep_wp.md Diff ] File ]
mod - dox/user_guides/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/foundation_classes/foundation_classes.md Diff ] File ]
mod - dox/user_guides/iges/iges.md Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
mod - dox/user_guides/ocaf_functionmechanism_wp/ocaf_functionmechanism_wp.md Diff ] File ]
mod - dox/user_guides/ocaf_tree_wp/ocaf_tree_wp.md Diff ] File ]
mod - dox/user_guides/ocaf_wp/ocaf_wp.md Diff ] File ]
mod - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]
mod - dox/user_guides/step/step.md Diff ] File ]
mod - dox/user_guides/tobj/tobj.md Diff ] File ]
mod - dox/user_guides/user_guides.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - dox/user_guides/voxels_wp/voxels_wp.md Diff ] File ]
mod - dox/user_guides/xde/xde.md Diff ] File ]
mod - gendoc.bat Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-13 12:14 abv New Issue
2014-03-13 12:14 abv Assigned To => bugmaster
2014-03-13 12:14 abv Relationship added child of 0024002
2014-03-13 12:14 abv Assigned To bugmaster => omy
2014-03-13 12:14 abv Status new => assigned
2014-03-13 16:34 omy Note Added: 0028262
2014-03-13 16:34 omy Status assigned => resolved
2014-03-13 16:34 omy Note Edited: 0028262 View Revisions
2014-03-13 16:35 omy Assigned To omy => abv
2014-03-21 17:05 omy Note Edited: 0028262 View Revisions
2014-03-21 17:17 omy Note Added: 0028427
2014-04-01 16:38 abv Relationship added related to 0024529
2014-04-01 16:52 omy Note Added: 0028598
2014-04-01 17:09 abv Note Added: 0028599
2014-04-01 17:09 abv Assigned To abv => bugmaster
2014-04-01 17:09 abv Status resolved => reviewed
2014-04-02 11:51 bugmaster Note Edited: 0028598 View Revisions
2014-04-04 16:26 abv Target Version 6.7.1 => 6.8.0
2014-04-08 14:16 bugmaster Note Added: 0028738
2014-04-08 14:16 bugmaster Status reviewed => tested
2014-04-09 16:49 abv Target Version 6.8.0 => 6.7.1
2014-04-11 14:43 apn Changeset attached => occt master ba06f8bb
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status tested => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker